Last modified: 2013-09-26 15:01:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38662 - Document how fallback language and message loading order in general works
Document how fallback language and message loading order in general works
Status: NEW
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
https://meta.wikimedia.org/wiki/Help:...
: i18n
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-07-25 08:06 UTC by Nemo
Modified: 2013-09-26 15:01 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-07-25 08:06:19 UTC
I mean, seriously.
I know that it's a well kept secret to prevent people from relying on whatever the current system is, which would stabilize it and make it impossible to change, but at least write it in a private place so that people can get a copy by bribing the l10n team or something.
It's currently impossible even to sort out bugs about this.
Comment 1 Tyler Romeo 2013-07-28 03:09:05 UTC
OK, I did a bit of organization with our message documentation on mw.org. If I have time in the near future, I'll add a section to [[mw:Manual:System message]] concerning the message caching flow.
Comment 2 Tyler Romeo 2013-07-28 05:14:04 UTC
:/ well I had everything written up, but then bug 52169 screwed me over, but I'll try and do this tomorrow or something, so I'll assign it to myself.
Comment 3 Tyler Romeo 2013-07-28 07:46:43 UTC
OK, check out [[mw:Manual:System message#Message caching]].
Comment 4 Nemo 2013-08-03 13:06:09 UTC
(In reply to comment #2)
> :/ well I had everything written up, but then bug 52169 screwed me over, but
> I'll try and do this tomorrow or something, so I'll assign it to myself.

I usually tend to throw my PC out of the window when this happens, congrats for patience.

(In reply to comment #3)
> OK, check out [[mw:Manual:System message#Message caching]].

Thank you for this. However, it's heavily focused on technical details for developers; as such I've merged it to the existing section of [[mw:Localisation]] (section which should perhaps be made more prominent now in some way?).

What I'm looking for is mainly a help document describing what's the expected behaviour of system messages and how users can (or should) use them. An existing help document, for instance, is [[m:Help:System_message#Branching_based_on_the_user_language]], which could be considered an evil encouragement of ugly hacks, given its unconditional suggestion to edit and transclude subpages.
Comment 5 Tyler Romeo 2013-08-03 17:03:54 UTC
Ah OK. Well in that case I think we should defer this bug until the final language fallback patch is merged, since that will change significantly how messages work.
Comment 6 Andre Klapper 2013-09-26 14:31:17 UTC
Tyler: You set this to ASSIGNED status without setting an assignee. Do you plan to work on this? If so feel free to set yourself as assignee.
Comment 7 Tyler Romeo 2013-09-26 15:01:19 UTC
I did originally, and did some work above, but now I'm tempted to wait until the final fallback patch is merged, so I'll set this back to NEW.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links